<?php
// Archivo: api/index.php
// Índice principal de la API

header('Content-Type: application/json');
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, PUT, DELETE, OPTIONS');
header('Access-Control-Allow-Headers: Content-Type, Authorization');

// Información de la API
$response = [
    'status' => 'success',
    'message' => 'API de Certificados ESIBOC funcionando correctamente',
    'version' => '1.0.0',
    'endpoints' => [
        'auth' => '/api/auth.php',
        'participantes' => '/api/participantes.php',
        'cursos' => '/api/cursos.php',
        'certificados' => '/api/certificados.php'
    ],
    'timestamp' => date('Y-m-d H:i:s')
];

echo json_encode($response, JSON_PRETTY_PRINT);
?>
