<?php
// Status API ultra simple
header('Content-Type: application/json');

// Información básica
$info = [
    'status' => 'online',
    'api' => 'Sistema de Certificados ESIBOC',
    'version' => '1.0',
    'timestamp' => date('Y-m-d H:i:s'),
    'endpoints' => [
        'auth' => '/api/auth.php',
        'participantes' => '/api/participantes.php',
        'cursos' => '/api/cursos.php'
    ]
];

echo json_encode($info, JSON_PRETTY_PRINT);
?>
