<?php
// Archivo: api/test.php
// Test simple para verificar que la carpeta API funciona

echo "<h1>¡API FUNCIONANDO!</h1>";
echo "<p>La carpeta API está accesible correctamente.</p>";
echo "<p>Fecha y hora: " . date('Y-m-d H:i:s') . "</p>";

// Test de conexión a base de datos
try {
    $host = 'localhost';
    $dbname = 'wwesib_bomberos_certificados';
    $username = 'wwesib_bomberos_certificados';
    $password = 'Serrano10$';
    
    $conn = new PDO("mysql:host=$host;dbname=$dbname;charset=utf8mb4", $username, $password);
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    
    echo "<p style='color: green;'>✅ Conexión a base de datos: EXITOSA</p>";
    
    // Verificar tablas
    $stmt = $conn->query("SHOW TABLES");
    $tables = $stmt->fetchAll(PDO::FETCH_COLUMN);
    
    echo "<p>📊 Tablas encontradas: " . count($tables) . "</p>";
    echo "<ul>";
    foreach($tables as $table) {
        echo "<li>$table</li>";
    }
    echo "</ul>";
    
} catch(PDOException $e) {
    echo "<p style='color: red;'>❌ Error de conexión: " . $e->getMessage() . "</p>";
}
?>
