<?php
// Configuración general del sistema
define('BASE_URL', 'https://esiboc.edu.co');
define('API_URL', 'https://esiboc.edu.co/api');
define('UPLOAD_PATH', '/home/wwesib/public_html/api/storage/uploads/');
define('LOG_PATH', '/home/wwesib/public_html/api/storage/logs/');

// Configuración de base de datos
define('DB_HOST', 'localhost');
define('DB_NAME', 'wwesib_bomberos_certificados');
define('DB_USER', 'wwesib_bomberos_certificados');
define('DB_PASS', 'Serrano10$');

// Configuración de JWT
define('JWT_SECRET', 'esiboc_certificados_2025_secret_key');
define('JWT_EXPIRE', 3600); // 1 hora

// Configuración de archivos
define('MAX_FILE_SIZE', 5 * 1024 * 1024); // 5MB
define('ALLOWED_EXTENSIONS', ['jpg', 'jpeg', 'png', 'pdf']);

// Headers CORS para desarrollo
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, PUT, DELETE, OPTIONS');
header('Access-Control-Allow-Headers: Content-Type, Authorization');
header('Content-Type: application/json; charset=utf-8');

if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {
    exit(0);
}

// Configuración de la aplicación
define('APP_NAME', 'Sistema de Certificados ESIBOC');
define('APP_URL', 'https://esiboc.edu.co');
define('APP_VERSION', '1.0.0');

// Configuración de seguridad
define('JWT_SECRET', 'esiboc_secret_key_2025');
define('SESSION_LIFETIME', 86400); // 24 horas

// Configuración de archivos
define('UPLOAD_DIR', __DIR__ . '/../storage/uploads/');
define('CERT_TEMPLATE_DIR', __DIR__ . '/../templates/');
define('LOG_DIR', __DIR__ . '/../storage/logs/');

// Zona horaria
date_default_timezone_set('America/Bogota');
?>
